Skip to content

MaaS_Seed_2.1

Model Overview

Item value
Model ID (model) doubao-seed-2-1-lite-260915
context window 1024k tokens
Maximum Input 1024k tokens
Maximum Output 256k tokens (default: 4k)
Max Chain-of-Thought 256k tokens
input modality Text, Image, Video, Document (file upload interface not supported), Audio
Output Modality Text
Default Thinking Mode Deep thinking is enabled by default;reasoning_effort/ reasoning. effortdefault setting high
Compatibility Protocol Chat Completions ✅, Responses ✅

Request Protocol

https

Parameter Name Type Required Description
Content-Type string Yes application/json
Authorization string Yes Bearer ${your_ak}

OpenAI Chat Completions

Request URL

POST https://genaiapi.cloudsway.net/v1/ai/{endpointPath}/chat/completions

Request Body Parameters

Parameter Name Secondary Parameters Three-level parameter CET-4 Parameters Type Required Description
model - - - string Yes Fixed as MaaS_Seed_2.1_lite_20260915 (original model from vendor: doubao-seed-2-1-lite-260915)
messages - - - array Yes Conversation Message List
role - - string Yes system / user / assistant / tool
content - - string or array Yes Plain text or multimodal part array
type - string Conditions text: Text
text - string Conditions Text content
type - string Conditions image_url: Image
image_url - object Conditions Image Object
url string Yes Publicly accessible image URL
type - string Conditions input_audio: audio (MaaS does not use file_id)
input_audio - object Conditions audio object
url string Either one of the two Public network audio URL;
data string Either one of the two Pure Base64 string (without the data:prefix)
format string Yes e.g. mp3, wav, aac, m4a
stream - - - boolean No true, SSE streaming response is enabled
max_completion_tokens - - - integer No Maximum tokens generated (including chain-of-thought); see model overview for the upper limit
max_tokens - - - integer No Legacy field; it is recommended to use max_completion_tokens instead
temperature - - - number No sampling temperature
top_p - - - number No Nuclear Sampling
thinking - - - object No Deep Thinking Toggle
type - - string No enabled (default) / disabled/ auto
reasoning_effort - - - string No Chain-of-thought length: none/ minimal/ low/ medium/ high (default) / xhigh/ max; for this model: minimaldisables thinking;none→ minimal;xhigh/ max→ high;thinking. type= disabledonly allows minimal
response_format - - - object No Structured Output
type - - string No e.g. json_object
tools - - - array No Tool/function Definition (Function Calling)
tool_choice - - - string or object No Tool Selection Strategy

Request Example (Simplest Text)

curl -X POST 'https://genaiapi.cloudsway.net/v1/ai/{endpointPath}/chat/completions' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer ${your_ak}' \
  -d '{
    "model": "MaaS_Seed_2.1_lite_20260915",
    "messages": [
      {"role": "user", "content": "Briefly explain what a large language model is in one sentence."}
    ]
  }'

Response Example (Non-streaming, Excerpt)

{
  "id": "chatcmpl-xxx",
  "object": "chat.completion",
  "model": "MaaS_Seed_2.1_lite_20260915",
  "choices": [{
    "index": 0,
    "message": {"role": "assistant", "content": "..."},
    "finish_reason": "stop"
  }],
  "usage": {
    "prompt_tokens": 20,
    "completion_tokens": 128,
    "total_tokens": 148,
    "completion_tokens_details": {"reasoning_tokens": 64}
  }
}

More request examples

system + multi-turn messages

curl -X POST 'https://genaiapi.cloudsway.net/v1/ai/{endpointPath}/chat/completions' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer ${your_ak}' \
  -d '{
    "model": "MaaS_Seed_2.1_lite_20260915",
    "messages": [
      {"role": "system", "content": "You are a concise and accurate assistant."},
      {"role": "user", "content": "What are the main differences between Redis and Memcached?"},
      {"role": "assistant", "content": "Redis supports rich data structures and persistence; Memcached is primarily a pure in-memory key-value store."},
      {"role": "user", "content": "Which one do you recommend for session caching? Just give the conclusion and one reason."}
    ],
    "temperature": 0.7,
    "max_completion_tokens": 512
  }'

Turn off Deep Thinking

curl -X POST 'https://genaiapi.cloudsway.net/v1/ai/{endpointPath}/chat/completions' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer ${your_ak}' \
  -d '{
    "model": "MaaS_Seed_2.1_lite_20260915",
    "messages": [{"role": "user", "content": "What is 1+1? Just answer with the number."}],
    "thinking": {"type": "disabled"},
    "reasoning_effort": "minimal"
  }'

Adjust the thinking intensity (default: high)

curl -X POST 'https://genaiapi.cloudsway.net/v1/ai/{endpointPath}/chat/completions' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer ${your_ak}' \
  -d '{
    "model": "MaaS_Seed_2.1_lite_20260915",
    "messages": [{"role": "user", "content": "Analyze the use cases for microservices vs. monolithic architecture"}],
    "reasoning_effort": "low"
  }'

Image and Text Comprehension (image_url)

curl -X POST 'https://genaiapi.cloudsway.net/v1/ai/{endpointPath}/chat/completions' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer ${your_ak}' \
  -d '{
    "model": "MaaS_Seed_2.1_lite_20260915",
    "messages": [{
      "role": "user",
      "content": [
        {"type": "text", "text": "What is the main content of the image? Describe it briefly."},
        {"type": "image_url", "image_url": {"url": "https://example.com/sample.jpg"}}
      ]
    }],
    "max_completion_tokens": 1024
  }'

JSON structured output

curl -X POST 'https://genaiapi.cloudsway.net/v1/ai/{endpointPath}/chat/completions' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer ${your_ak}' \
  -d '{
    "model": "MaaS_Seed_2.1_lite_20260915",
    "messages": [
      {"role": "system", "content": "Only output valid JSON, no markdown."},
      {"role": "user", "content": "List three common programming languages, each with name and paradigm fields"}
    ],
    "response_format": {"type": "json_object"},
    "thinking": {"type": "disabled"},
    "reasoning_effort": "minimal"
  }'

Audio URL (input_audio.url)

curl -X POST 'https://genaiapi.cloudsway.net/v1/ai/{endpointPath}/chat/completions' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer ${your_ak}' \
  -d '{
    "model": "MaaS_Seed_2.1_lite_20260915",
    "messages": [{
      "role": "user",
      "content": [
        {
          "type": "input_audio",
          "input_audio": {
            "url": "https://example.com/demo.mp3",
            "format": "mp3"
          }
        },
        {"type": "text", "text": "请识别音频中的内容,以文字返回"}
      ]
    }]
  }'

音频 Base64(input_audio.data)

BASE64_FILE=$(base64 < /path/to/demo.mp3)
curl -X POST 'https://genaiapi.cloudsway.net/v1/ai/{endpointPath}/chat/completions' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer ${your_ak}' \
  -d "{
    "model": "MaaS_Seed_2.1_lite_20260915",
    "messages": [{
      "role": "user",
      "content": [
        {"type": "input_audio", "input_audio": {"data": "$BASE64_FILE", "format": "mp3"}},
        {"type": "text", "text": "请识别音频中的内容"}
      ]
    }]
  }"

Streaming Request Example

curl -N -X POST 'https://genaiapi.cloudsway.net/v1/ai/{endpointPath}/chat/completions' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer ${your_ak}' \
  -d '{
    "model": "MaaS_Seed_2.1_lite_20260915",
    "messages": [{"role": "user", "content": "写一首关于秋天的四句短诗"}],
    "stream": true
  }'

SDK Calling Method

from openai import OpenAI

client = OpenAI(
    api_key="${your_ak}",
    base_url="https://genaiapi.cloudsway.net/v1/ai/{endpointPath}",
    timeout=1800,
)

completion = client.chat.completions.create(
    model="MaaS_Seed_2.1_lite_20260915",
    messages=[
        {"role": "system", "content": "你是 helpful assistant。"},
        {"role": "user", "content": "Hello"},
    ],
    max_completion_tokens=1024,
)
print(completion.choices[0].message.content)

OpenAI Responses

Request URL

POST https://genaiapi.cloudsway.net/v1/ai/{endpoint}/responses

Request Body Parameters

Parameter Name Secondary Parameters Three-level parameters Type Required Description
model - - string Yes Fixed as MaaS_Seed_2.1_lite_20260915
input - - string or array Yes User input: a plain string, or an array of message/multimodal items
role - string Conditions Message Role (in array form)
content - string or array Conditions Text or multimodal part
type string Conditions input_text: Text
text string Conditions Text content
type string Conditions input_image: Image
image_url string Conditions Image URL
type string Conditions input_audio: audio
audio_url
string Conditions Public network URL or data: audio/mpeg;base64,. ..; ≤25MB, ≤120 minutes
instructions - - string No System-level instructions (similar to system prompt)
stream - - boolean No Streaming SSE
max_output_tokens - - integer No Maximum output tokens; default is 4k, upper limit is 256k
thinking - - object No Deep Thinking
type - string No enabled (default) / disabled (this model does not support auto)
reasoning - - object No Inference Configuration
effort - string No Same as the gear and mapping rules of Chat; the field name is reasoning. effort
previous_response_id - - string No Multi-turn follow-up chat, referencing the previous round's response. id
text - - object No Output Text Configuration
format - object No For example,{"type": "json_object"}
tools - - array No Tool Definition

Request Example (input string)

curl -X POST 'https://genaiapi.cloudsway.net/v1/ai/{endpoint}/responses' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer ${your_ak}' \
  -d '{
    "model": "MaaS_Seed_2.1_lite_20260915",
    "input": "用三句话解释什么是 REST API"
  }'

Response Example (Excerpt)

{
  "id": "resp_xxx",
  "object": "response",
  "model": "MaaS_Seed_2.1_lite_20260915",
  "status": "completed",
  "output": [
    {
      "type": "message",
      "role": "assistant",
      "content": [{"type": "output_text", "text": "..."}]
    }
  ],
  "usage": {
    "input_tokens": 42,
    "output_tokens": 256,
    "output_tokens_details": {"reasoning_tokens": 120},
    "total_tokens": 298
  }
}

More request examples

instructions + message array

curl -X POST 'https://genaiapi.cloudsway.net/v1/ai/{endpoint}/responses' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer ${your_ak}' \
  -d '{
    "model": "MaaS_Seed_2.1_lite_20260915",
    "instructions": "你是技术文档助手,回答要分点、简洁。",
    "input": [
      {"role": "user", "content": "Kubernetes 里 Pod 和 Deployment 的区别是什么?"}
    ],
    "max_output_tokens": 2048
  }'

Turn off Deep Thinking

curl -X POST 'https://genaiapi.cloudsway.net/v1/ai/{endpoint}/responses' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer ${your_ak}' \
  -d '{
    "model": "MaaS_Seed_2.1_lite_20260915",
    "input": "今天星期几?",
    "thinking": {"type": "disabled"},
    "reasoning": {"effort": "minimal"}
  }'

Multi-turn previous_response_id

Round 1:

curl -X POST 'https://genaiapi.cloudsway.net/v1/ai/{endpoint}/responses' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer ${your_ak}' \
  -d '{
    "model": "MaaS_Seed_2.1_lite_20260915",
    "input": "讲一个关于程序员的冷笑话"
  }'

Second round (replace resp_xxxwith the idreturned in the first round):

curl -X POST 'https://genaiapi.cloudsway.net/v1/ai/{endpoint}/responses' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer ${your_ak}' \
  -d '{
    "model": "MaaS_Seed_2.1_lite_20260915",
    "previous_response_id": "resp_xxx",
    "input": "这个笑话的笑点在哪里?"
  }'

Image-text input

curl -X POST 'https://genaiapi.cloudsway.net/v1/ai/{endpoint}/responses' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer ${your_ak}' \
  -d '{
    "model": "MaaS_Seed_2.1_lite_20260915",
    "input": [{
      "role": "user",
      "content": [
        {"type": "input_image", "image_url": "https://example.com/sample.jpg"},
        {"type": "input_text", "text": "你看见了什么?"}
      ]
    }]
  }'

音频 URL(input_audio.audio_url)

curl -X POST 'https://genaiapi.cloudsway.net/v1/ai/{endpoint}/responses' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer ${your_ak}' \
  -d '{
    "model": "MaaS_Seed_2.1_lite_20260915",
    "input": [{
      "role": "user",
      "content": [
        {"type": "input_audio", "audio_url": "https://example.com/demo.mp3"},
        {"type": "input_text", "text": "请识别这段音频内容"}
      ]
    }]
  }'

Audio Base64 (data URL)

BASE64_FILE=$(base64 < /path/to/demo.mp3)
curl -X POST 'https://genaiapi.cloudsway.net/v1/ai/{endpoint}/responses' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer ${your_ak}' \
  -d "{
    "model": "MaaS_Seed_2.1_lite_20260915",
    "input": [{
      "role": "user",
      "content": [
        {"type": "input_audio", "audio_url": "data:audio/mpeg;base64,$BASE64_FILE"},
        {"type": "input_text", "text": "请识别音频中的内容"}
      ]
    }]
  }"

JSON Output (text. format)

curl -X POST 'https://genaiapi.cloudsway.net/v1/ai/{endpoint}/responses' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer ${your_ak}' \
  -d '{
    "model": "MaaS_Seed_2.1_lite_20260915",
    "thinking": {"type": "disabled"},
    "reasoning": {"effort": "minimal"},
    "input": [{"role": "user", "content": "返回 JSON:city=北京, temp=25, unit=celsius"}],
    "text": {"format": {"type": "json_object"}}
  }'

Streaming Request Example

curl -N -X POST 'https://genaiapi.cloudsway.net/v1/ai/{endpoint}/responses' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer ${your_ak}' \
  -d '{
    "model": "MaaS_Seed_2.1_lite_20260915",
    "input": [{"role": "user", "content": "流式输出:从 1 数到 5"}],
    "stream": true
  }'

SDK Calling Method

from openai import OpenAI

client = OpenAI(
    api_key="${your_ak}",
    base_url="https://genaiapi.cloudsway.net/v1/ai/{endpoint}",
    timeout=1800,
)

response = client.responses.create(
    model="MaaS_Seed_2.1_lite_20260915",
    input=[{"role": "user", "content": "Hello"}],
    reasoning={"effort": "medium"},
)
print(response)